# $Revision: 1.10 $, $Date: 2005/12/31 10:36:33 $
Summary:	Continuation-based web application framework
Summary(pl):	Szkielet aplikacji WWW oparty na kontynuacji
Name:		ruby-Borges
Version:	1.1.0
Release:	3
License:	GPL
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/574/borges-%{version}.tar.gz
# Source0-md5:	16b448d727a2647cf1dadfed22b5a02f
URL:		http://borges.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Borges is a continuation-based web application framework originally
ported from on Seaside 2 that allows a linear style of programming of
web applications. Components of a Borges web page can call and return
from each other in a natural way, allowing complex interaction between
components from simple methods. Backtracking is supported seamlessly,
allowing a simple approach to building web applications that does not
get in the developer's way.

%description -l pl
Borges to szkielet aplikacji WWW oparty na kontynuacji, oryginalnie
sportowany z Seaside 2, pozwalajcy na liniowy styl programowania
aplikacji WWW. Komponenty stron Borges mog wywoywa si nawzajem i
powraca w naturalny sposb, pozwalajc na zoon interakcj midzy
komponentami z prostych metod. Wsteczne ledzenie jest obsugiwane w
sposb przezroczysty, co pozwala na proste podejcie przy tworzeniu
aplikacji WWW bez wchodzenia programistom w drog.

%prep
%setup -q -n borges-%{version}

find lib/ -name 'Test*' -type f -print0 | xargs -0 rm -v
find lib/ -name 'Test*' -type d -print0 | xargs -0 rm -v -r
mv data/doc/ruby/Borges/{RDoc,rdoc}

%build
ruby setup.rb config \
	--rb-dir=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
mv -f $RPM_BUILD_ROOT/usr/share/examples/* $RPM_BUILD_ROOT%{_examplesdir}

rm -r $RPM_BUILD_ROOT%{_docdir}/ruby/Borges

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
rm $RPM_BUILD_ROOT%{ruby_ridir}/Array/cdesc-Array.yaml
rm $RPM_BUILD_ROOT%{ruby_ridir}/Numeric/cdesc-Numeric.yaml
rm $RPM_BUILD_ROOT%{ruby_ridir}/Object/cdesc-Object.yaml
rm $RPM_BUILD_ROOT%{ruby_ridir}/Proc/cdesc-Proc.yaml
rm $RPM_BUILD_ROOT%{ruby_ridir}/String/cdesc-String.yaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc data/doc/ruby/Borges/*
%{ruby_rubylibdir}/Borges.rb
%{ruby_rubylibdir}/Borges
%{ruby_ridir}/Borges
%{ruby_ridir}/Array/render_on-i.yaml
%{ruby_ridir}/HtmlRendererProfiler
%{ruby_ridir}/Numeric/print_html_on-i.yaml
%{ruby_ridir}/Numeric/to_cents-i.yaml
%{ruby_ridir}/Object/render_on-i.yaml
%{ruby_ridir}/Proc/handle_request-i.yaml
%{ruby_ridir}/Proc/render_on-i.yaml
%{ruby_ridir}/Profiler/cdesc-Profiler.yaml
%{ruby_ridir}/Profiler/profile-c.yaml
%{ruby_ridir}/Profiler__/cdesc-Profiler__.yaml
%{ruby_ridir}/Profiler__/profile-c.yaml
%{ruby_ridir}/String/print_html_on-i.yaml
%{ruby_ridir}/String/render_on_indent-i.yaml
%{ruby_ridir}/Weak
%{_examplesdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-Borges.spec,v $
Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.7  2005/12/27 09:26:14  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.6  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.5  2004/08/26 16:20:59  havner
- rel 2

Revision 1.4  2004/08/26 01:13:59  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.3  2004/08/19 05:44:23  aredridel
- add ri docs
- clean up test code

Revision 1.2  2004/06/21 20:37:38  qboosh
- pl(?), cosmetics

Revision 1.1  2004/06/20 20:26:26  aredridel
- added
